package com.platform.form;

import java.util.ArrayList;
import java.util.List;

import com.platform.entities.Brick;
import com.platform.entities.FolderNode;

public class VolumeForm {
//	
//	List<VolumeEntity> volumes;
//
//	/**
//	 * @return the volumes
//	 */
//	public List<VolumeEntity> getVolumes() {
//		return volumes;
//	}
//
//	/**
//	 * @param volumes the volumes to set
//	 */
//	public void setVolumes(List<VolumeEntity> volumes) {
//		this.volumes = volumes;
//	}
	/** volume名称  */
	private String name;
	
	/** 挂载点  */
	private String path;
	
	/**  * exist，正常返回状态Started,Stopped,Created */
	private boolean status;
	
	private String type;
	
	/** volume树形目录  */
	private List<FolderNode> folder = new ArrayList<FolderNode>();
	
	/** volume的 块  */
	private List<Brick> brick = new ArrayList<Brick>();

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the path
	 */
	public String getPath() {
		return path;
	}

	/**
	 * @param path the path to set
	 */
	public void setPath(String path) {
		this.path = path;
	}

	/**
	 * @return the status
	 */
	public boolean isStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(boolean status) {
		this.status = status;
	}

	/**
	 * @return the type
	 */
	public String getType() {
		return type;
	}

	/**
	 * @param type the type to set
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @return the folder
	 */
	public List<FolderNode> getFolder() {
		return folder;
	}

	/**
	 * @param folder the folder to set
	 */
	public void setFolder(List<FolderNode> folder) {
		this.folder = folder;
	}

	/**
	 * @return the brick
	 */
	public List<Brick> getBrick() {
		return brick;
	}

	/**
	 * @param brick the brick to set
	 */
	public void setBrick(List<Brick> brick) {
		this.brick = brick;
	}
	
}
